﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="RadGridAndDomainDataSource.Default" %>

<%@ Register Assembly="Microsoft.Web.DomainServices.WebControls" Namespace="Microsoft.Web.UI.WebControls"
    TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadGrid ID="CustomersGrid" runat="server" Skin="Vista" AllowPaging="true"
        DataSourceID="CustomersDomainDataSource">
        <MasterTableView DataSourceID="CustomersDomainDataSource" CommandItemDisplay="Top"
            AllowAutomaticInserts="true" AllowAutomaticDeletes="true" AllowAutomaticUpdates="true"
            AutoGenerateColumns="false" DataKeyNames="CustomerID">
            <Columns>
                <telerik:GridEditCommandColumn ButtonType="ImageButton">
                </telerik:GridEditCommandColumn>
                <telerik:GridBoundColumn DataField="CustomerID" HeaderText="Customer ID" UniqueName="CustomerID"
                    SortExpression="CustomerID">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="CompanyName" HeaderText="Company Name" UniqueName="CompanyName"
                    SortExpression="CompanyName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ContactName" HeaderText="Contact Name" UniqueName="ContactName"
                    SortExpression="ContactName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="City" HeaderText="City" UniqueName="City" SortExpression="City">
                </telerik:GridBoundColumn>
                <telerik:GridButtonColumn ButtonType="ImageButton" CommandName="Delete">
                </telerik:GridButtonColumn>
            </Columns>
            <DetailTables>
                <telerik:GridTableView DataSourceID="OrdersDomainDataSource" DataKeyNames="OrderID, CustomerID">
                    <ParentTableRelation>
                        <telerik:GridRelationFields DetailKeyField="CustomerID" MasterKeyField="CustomerID" />
                    </ParentTableRelation>
                </telerik:GridTableView>
            </DetailTables>
        </MasterTableView>
    </telerik:RadGrid>
    <asp:DomainDataSource ID="CustomersDomainDataSource" runat="server" DomainServiceTypeName="RadGridAndDomainDataSource.NorthwindDomainService"
        EnableDelete="True" EnableInsert="True" EnableUpdate="True" QueryName="GetCustomers">
    </asp:DomainDataSource>
    <asp:DomainDataSource ID="OrdersDomainDataSource" runat="server" DomainServiceTypeName="RadGridAndDomainDataSource.NorthwindDomainService"
        EnableDelete="True" EnableInsert="True" EnableUpdate="True" QueryName="GetOrdersByCustomerID">
        <QueryParameters>
            <asp:Parameter Name="CustomerID" />
        </QueryParameters>
    </asp:DomainDataSource>
    </form>
</body>
</html>
